cxf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel Kulp (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CXF-4213) Enabling exsh doesn't work in pre 2.5 releases
Date Thu, 29 Mar 2012 17:06:26 GMT

    [ https://issues.apache.org/jira/browse/CXF-4213?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13241393#comment-13241393
] 

Daniel Kulp commented on CXF-4213:
----------------------------------

It should work fine with 2.3.x (it's been there since 2.1 days, maybe even 2.0).  However,
you MAY need to add the cxf-rt-binding-soap dependency to your projects or as a dependency
of the plugin.

                
> Enabling exsh doesn't work in pre 2.5 releases
> ----------------------------------------------
>
>                 Key: CXF-4213
>                 URL: https://issues.apache.org/jira/browse/CXF-4213
>             Project: CXF
>          Issue Type: Bug
>    Affects Versions: 2.3.9, 2.4.6
>            Reporter: Stevo Slavic
>
> Try generating java from [this wsdl|https://ws1.webservices.nl/soap_doclit?wsdl] using
cxf 2.3.9 or 2.4.6 with exsh set to true - generated code will not have {{@WebParam(header
= true)}} parameters.
> Using cxf 2.5.2 it works ok, but I can't use anything newer than 2.3.9. Lack of m2e connector
for cxf-codegen-plugin 2.3.9+ prevents adopting cxf versions newer than 2.3.9.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message